Subject: [TR] Hardtop drip channels

From: John Gillis <[email-masked]>
Date: Sun, 6 Jan 2013 17:25:54 +0000

Does anybody know a source of the two drip channels for the TR2/3 hardtop,
either re manufacture or used. I had a very bad day yesterday when I decided
the best way to remove the paint the DPO had applied to them was using an
alkaline stripper solution as I was afraid of scratching the surface using
mechanical methods. This etched DEEP into the aluminum rendering them useless.
DAMM!
Regards
John

John Gillis
Senior Conservator

** [email-masked] **

Archive: http://www.team.net/archive